<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: 構造体 MInputXIMArgIM</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li class="current"><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="classes.html"><span>データ構造索引</span></a></li>
      <li><a href="functions.html"><span>データフィールド</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>構造体 MInputXIMArgIM<br/>
<small>
[<a class="el" href="group__m17nInputMethodWin.html">入力メソッド (GUI)</a>]</small>
</h1><!-- doxytag: class="MInputXIMArgIM" -->
<p>関数 <a class="el" href="group__m17nInputMethod.html#ga34d3e527bfd705d2b7f2b749199c1e11" title="入力メソッドをオープンする.">minput_open_im()</a> の引数 <b>arg</b> によって指される構造体.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Display *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputXIMArgIM.html#ab98fd8d4d94973c5660560b1fd41b242">display</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">XrmDatabase&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputXIMArgIM.html#a0ac5010b5bf75ffffd0a721b919fe7eb">db</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputXIMArgIM.html#a64ced6a3064e7104a6dbdcdc5ea6585f">res_class</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputXIMArgIM.html#a22c9ca86b65ef0f303a45250a649363e">res_name</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputXIMArgIM.html#ade42ccfe5b1e4587a2dd0e9cf019a764">locale</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputXIMArgIM.html#a8ce74cd4e86a6da199c84ea1c279c748">modifier_list</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>関数 <a class="el" href="group__m17nInputMethod.html#ga34d3e527bfd705d2b7f2b749199c1e11" title="入力メソッドをオープンする.">minput_open_im()</a> の引数 <b>arg</b> によって指される構造体. </p>
<p><a class="el" href="structMInputXIMArgIM.html" title="関数 minput_open_im() の引数 arg によって指される構造体.">MInputXIMArgIM</a> 型は、関数 <a class="el" href="group__m17nInputMethod.html#ga34d3e527bfd705d2b7f2b749199c1e11" title="入力メソッドをオープンする.">minput_open_im()</a> が名前 <a class="el" href="group__m17nInputMethodWin.html#ga4e8d34da33638639ecc7386914def510" title="&quot;xim&quot;を名前として持つシンボル .">Mxim</a> を持つ外部入力メソッドを生成する際に引数 <b>arg</b> によって指される構造体である。 </p>
<hr/><h2>構造体</h2>
<a class="anchor" id="ab98fd8d4d94973c5660560b1fd41b242"></a><!-- doxytag: member="MInputXIMArgIM::display" ref="ab98fd8d4d94973c5660560b1fd41b242" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Display* <a class="el" href="structMInputXIMArgIM.html#ab98fd8d4d94973c5660560b1fd41b242">MInputXIMArgIM::display</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>以下の４つのメンバの意味は、XOpenIM() の引数の意味と同じである.</p>
<p>クライアントのディスプレイ. </p>

</div>
</div>
<a class="anchor" id="a0ac5010b5bf75ffffd0a721b919fe7eb"></a><!-- doxytag: member="MInputXIMArgIM::db" ref="a0ac5010b5bf75ffffd0a721b919fe7eb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">XrmDatabase <a class="el" href="structMInputXIMArgIM.html#a0ac5010b5bf75ffffd0a721b919fe7eb">MInputXIMArgIM::db</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>X リソース・データベースへのポインタ. </p>

</div>
</div>
<a class="anchor" id="a64ced6a3064e7104a6dbdcdc5ea6585f"></a><!-- doxytag: member="MInputXIMArgIM::res_class" ref="a64ced6a3064e7104a6dbdcdc5ea6585f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* <a class="el" href="structMInputXIMArgIM.html#a64ced6a3064e7104a6dbdcdc5ea6585f">MInputXIMArgIM::res_class</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>アプリケーションの完全なクラス名. </p>

</div>
</div>
<a class="anchor" id="a22c9ca86b65ef0f303a45250a649363e"></a><!-- doxytag: member="MInputXIMArgIM::res_name" ref="a22c9ca86b65ef0f303a45250a649363e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* <a class="el" href="structMInputXIMArgIM.html#a22c9ca86b65ef0f303a45250a649363e">MInputXIMArgIM::res_name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>アプリケーションの完全なリソース名. </p>

</div>
</div>
<a class="anchor" id="ade42ccfe5b1e4587a2dd0e9cf019a764"></a><!-- doxytag: member="MInputXIMArgIM::locale" ref="ade42ccfe5b1e4587a2dd0e9cf019a764" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* <a class="el" href="structMInputXIMArgIM.html#ade42ccfe5b1e4587a2dd0e9cf019a764">MInputXIMArgIM::locale</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>XIMがオープンされたロケール名. </p>

</div>
</div>
<a class="anchor" id="a8ce74cd4e86a6da199c84ea1c279c748"></a><!-- doxytag: member="MInputXIMArgIM::modifier_list" ref="a8ce74cd4e86a6da199c84ea1c279c748" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* <a class="el" href="structMInputXIMArgIM.html#a8ce74cd4e86a6da199c84ea1c279c748">MInputXIMArgIM::modifier_list</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>XSetLocaleModifiers() の引数. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
